CVE-2004-0642

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Double free vulnerabilities in the error handling code for ASN.1 decoders in the (1) Key Distribution Center (KDC) library and (2) client library for MIT Kerberos 5 (krb5) 1.3.4 and earlier may allow remote attackers to execute arbitrary code.

References

http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000860

http://marc.info/?l=bugtraq&m=109508872524753&w=2

http://rhn.redhat.com/errata/RHSA-2004-350.html

http://web.mit.edu/kerberos/www/advisories/MITKRB5-SA-2004-002-dblfree.txt

http://www.debian.org/security/2004/dsa-543

http://www.gentoo.org/security/en/glsa/glsa-200409-09.xml

http://www.kb.cert.org/vuls/id/795632

http://www.securityfocus.com/bid/11078

http://www.trustix.net/errata/2004/0045/

http://www.us-cert.gov/cas/techalerts/TA04-247A.html

https://exchange.xforce.ibmcloud.com/vulnerabilities/17157

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10709

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A4936

Details

Source: MITRE

Published: 2004-09-28

Updated: 2021-02-02

Type: CWE-415

Risk Information

CVSS v2

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

Tenable Plugins

View all (10 total)

IDNameProductFamilySeverity
37617FreeBSD : krb5 -- double-free vulnerabilities (86a98b57-fb8e-11d8-9343-000a95bc6fae)NessusFreeBSD Local Security Checks
high
15898Mac OS X Multiple Vulnerabilities (Security Update 2004-12-02)NessusMacOS X Local Security Checks
high
15380Debian DSA-543-1 : krb5 - several vulnerabilitiesNessusDebian Local Security Checks
high
14673Mandrake Linux Security Advisory : krb5 (MDKSA-2004:088)NessusMandriva Local Security Checks
high
14666GLSA-200409-09 : MIT krb5: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
14596RHEL 2.1 : krb5 (RHSA-2004:448)NessusRed Hat Local Security Checks
high
14595RHEL 3 : krb5 (RHSA-2004:350)NessusRed Hat Local Security Checks
high
14593Fedora Core 2 : krb5-1.3.4-6 (2004-277)NessusFedora Local Security Checks
high
14592Fedora Core 1 : krb5-1.3.4-5 (2004-276)NessusFedora Local Security Checks
high
11512Kerberos 5 < 1.3.5 Multiple VulnerabilitiesNessusMisc.
high